CVE-2019-12900

Priority
Description
BZ2_decompress in decompress.c in bzip2 through 1.0.6 has an out-of-bounds
write when there are many selectors.
Assigned-to
leosilva
Notes
leosilvafirst fix cause a regression see LP: 1834494
amurrayclamav has a vendored copy of bzip2 which is used by the
nulsft/nsis scanner. only affects clamav versions < 0.101.4
Package
Source: bzip2 (LP Ubuntu Debian)
Upstream:released (1.0.7)
Ubuntu 12.04 ESM (Precise Pangolin):released (1.0.6-1ubuntu0.2)
Ubuntu 14.04 ESM (Trusty Tahr):released (1.0.6-5ubuntu0.1~esm2)
Ubuntu 16.04 LTS (Xenial Xerus):released (1.0.6-8ubuntu0.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (1.0.6-8.1ubuntu0.2)
Patches:
Upstream:https://gitlab.com/federicomenaquintero/bzip2/commit/74de1e2e6ffc9d51ef9824db71a8ffee5962cdbc
Package
Upstream:released (0.101.4)
Ubuntu 12.04 ESM (Precise Pangolin):released (0.101.4+dfsg-0ubuntu0.12.04.1)
Ubuntu 14.04 ESM (Trusty Tahr):released (0.101.4+dfsg-0ubuntu0.14.04.1+esm1)
Ubuntu 16.04 LTS (Xenial Xerus):released (0.101.4+dfsg-0ubuntu0.16.04.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (0.101.4+dfsg-0ubuntu0.18.04.1)
More Information

Updated: 2020-07-28 20:06:14 UTC (commit d26b6ca9f5b3adb89bb036ce73ae7dab894935ec)